import { useAppContext } from '../Contexts/AppContext';

export const Messages = () => {
  const { messages, currentChannel } = useAppContext();

  return (
    <>
      {messages
        ? messages
            .filter((msg) => msg.channel_id === currentChannel?.id)
            .map((msg) => (
              <div key={msg?.id}>
                {msg.inserted_at}: {msg.author.username} {msg.message}
              </div>
            ))
        : 'loading'}
    </>
  );
};
